> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/de/automatisierung/runbooks/runbook-references/device/security/restrict-or-release-code-execution.md).

# Codeausführung einschränken oder freigeben

Dieses Gerät auf von Microsoft signierten Code beschränken oder die Beschränkung aufheben

### Beschreibung

Beschränkt dieses Gerät über Microsoft Defender for Endpoint, sodass nur von Microsoft signierter Code ausgeführt werden kann, wodurch nicht signierte Tools blockiert werden, die ein Angreifer möglicherweise darauf platziert hat. Außerdem kann damit eine bestehende Einschränkung aufgehoben werden. Geben Sie einen kurzen Grund an; er wird mit der Aktion in Defender for Endpoint aufgezeichnet.

### Speicherort

Gerät → Sicherheit → Codeausführung einschränken oder freigeben

**Voller Runbook-Name**

rjgit-device\_security\_restrict-or-release-code-execution

### Details

| Eigenschaft          | Wert                                |
| -------------------- | ----------------------------------- |
| Version              | 1.0.1                               |
| Erforderliche Module | RealmJoin.RunbookHelper (>= 0.8.10) |
| Planbar              | nein                                |

### Berechtigungen

#### Anwendungsberechtigungen

* **Typ**: WindowsDefenderATP
  * Machine.Read.All
    * *Findet die Microsoft Defender for Endpoint-Maschine über /machines, gefiltert nach aadDeviceId*
  * Machine.RestrictExecution
    * *Löst auf dem Gerät restrictCodeExecution oder unrestrictCodeExecution aus*

### Parameter

#### DeviceId

Entra ID-Geräte-ID des Geräts, auf das das Runbook angewendet wird. Wird vom Portal anhand des ausgewählten Geräts festgelegt.

| Eigenschaft            | Wert                                            |
| ---------------------- | ----------------------------------------------- |
| Erforderlich           | wahr                                            |
| Standardwert           |                                                 |
| Typ                    | Zeichenfolge                                    |
| Im Portal ausgeblendet | ja (vorkonfiguriert über die Runbook-Anpassung) |

#### Freigeben

Bei Restrict darf nur von Microsoft signierter Code auf dem Gerät ausgeführt werden. Remove hebt eine bestehende Einschränkung auf.

| Eigenschaft           | Wert     |
| --------------------- | -------- |
| Erforderlich          | wahr     |
| Standardwert          | Falsch   |
| Typ                   | Boolesch |
| Anzeigename im Portal | Aktion   |

**Portaloptionen**

| Portaloption                | Wert   |
| --------------------------- | ------ |
| Codeausführung einschränken | falsch |
| Codeeinschränkung aufheben  | wahr   |

#### Kommentar

Kurzer Grund für die Einschränkung oder deren Aufhebung. Er wird zusammen mit der Aktion in Microsoft Defender for Endpoint gespeichert.

| Eigenschaft           | Wert                         |
| --------------------- | ---------------------------- |
| Erforderlich          | wahr                         |
| Standardwert          | Mögliches Sicherheitsrisiko. |
| Typ                   | Zeichenfolge                 |
| Anzeigename im Portal | Grund                        |

[Zurück zur Übersicht der Runbook-Referenz](/de/automatisierung/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/de/automatisierung/runbooks/runbook-references/device/security/restrict-or-release-code-execution.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
